## org.apache.poi.xwpf.usermodel
Class XWPFStyles

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xwpf.usermodel.XWPFStyles

    public class XWPFStyles

extends POIXMLDocumentPart

Author:
  Philipp Epp

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`XWPFStyles()` Construct XWPFStyles from scratch for a new document.
`XWPFStyles(PackagePart part, PackageRelationship rel)` Construct XWPFStyles from a package part

Method Summary
`void` `addStyle(XWPFStyle style)` add a style to the document
`protected void` `commit()` Save the content in the underlying package part.
`XWPFLatentStyles` `getLatentStyles()` get latentstyles
`XWPFStyle` `getStyle(java.lang.String styleID)` get style by a styleID
`XWPFStyle` `getStyleWithSameName(XWPFStyle style)` get the style with the same name if this style is not existing, return null
`java.util.List<XWPFStyle>` `getUsedStyleList(XWPFStyle style)` get the styles which are related to the parameter style and their relatives this method can be used to copy all styles from one document to another document
`protected void` `onDocumentRead()` Read document
`void` `setDefaultFonts(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFonts fonts)` Sets the default font on ctStyles DocDefaults parameter
`void` `setEastAsia(java.lang.String strEastAsia)` Sets the default East Asia spelling language on ctStyles DocDefaults parameter
`void` `setSpellingLanguage(java.lang.String strSpellingLanguage)` Sets the default spelling language on ctStyles DocDefaults parameter
`void` `setStyles(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTStyles styles)` Sets the ctStyles
`boolean` `styleExist(java.lang.String styleID)` checks whether style with styleID exist

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, getTargetPart, onDocumentCreate, onDocumentRemove, onSave, read, rebase, removeRelation, removeRelation, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XWPFStyles

    public XWPFStyles(PackagePart part,
                      PackageRelationship rel)
               throws java.io.IOException,
                      OpenXML4JException

  Construct XWPFStyles from a package part

  Parameters:
    `part` - the package part holding the data of the styles,
    `rel` - the package relationship of type "http://schemas.openxmlformats.org/officeDocument/2006/relationships/styles"
  Throws:
    `java.io.IOException`
    `OpenXML4JException`

### XWPFStyles

    public XWPFStyles()

  Construct XWPFStyles from scratch for a new document.

Method Detail

### onDocumentRead

    protected void onDocumentRead()
                           throws java.io.IOException

  Read document

  Overrides:
    `onDocumentRead` in class `POIXMLDocumentPart`
  Throws:
    `java.io.IOException`

### commit

    protected void commit()
                   throws java.io.IOException

  Description copied from class: `POIXMLDocumentPart`
  Save the content in the underlying package part. Default implementation is empty meaning that the package part is left unmodified. Sub-classes should override and add logic to marshal the "model" into Ooxml4J. For example, the code saving a generic XML entry may look as follows:

       protected void commit() throws IOException {
         PackagePart part = getPackagePart();
         OutputStream out = part.getOutputStream();
         XmlObject bean = getXmlBean(); //the "model" which holds changes in memory
         bean.save(out, DEFAULT_XML_OPTIONS);
         out.close();
       }

  Overrides:
    `commit` in class `POIXMLDocumentPart`
  Throws:
    `java.io.IOException`

### setStyles

    public void setStyles(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTStyles styles)

  Sets the ctStyles

  Parameters:
    `styles` -

### styleExist

    public boolean styleExist(java.lang.String styleID)

  checks whether style with styleID exist

  Parameters:
    `styleID` - styleID of the Style in the style-Document
  Returns:
    true if style exist, false if style not exist

### addStyle

    public void addStyle(XWPFStyle style)

  add a style to the document

  Parameters:
    `style` -
  Throws:
    `java.io.IOException`

### getStyle

    public XWPFStyle getStyle(java.lang.String styleID)

  get style by a styleID

  Parameters:
    `styleID` - styleID of the searched style
  Returns:
    style

### getUsedStyleList

    public java.util.List<XWPFStyle> getUsedStyleList(XWPFStyle style)

  get the styles which are related to the parameter style and their relatives this method can be used to copy all styles from one document to another document

  Parameters:
    `style` -
  Returns:
    a list of all styles which were used by this method

### setSpellingLanguage

    public void setSpellingLanguage(java.lang.String strSpellingLanguage)

  Sets the default spelling language on ctStyles DocDefaults parameter

  Parameters:
    `strSpellingLanguage` -

### setEastAsia

    public void setEastAsia(java.lang.String strEastAsia)

  Sets the default East Asia spelling language on ctStyles DocDefaults parameter

  Parameters:
    `strEastAsia` -

### setDefaultFonts

    public void setDefaultFonts(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTFonts fonts)

  Sets the default font on ctStyles DocDefaults parameter

  Parameters:
    `fonts` -

### getLatentStyles

    public XWPFLatentStyles getLatentStyles()

  get latentstyles

### getStyleWithSameName

    public XWPFStyle getStyleWithSameName(XWPFStyle style)

  get the style with the same name if this style is not existing, return null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.